net.sf.jlinkgrammar

## Class ParseInfo

- java.lang.Object
- - net.sf.jlinkgrammar.ParseInfo

-     public class ParseInfo
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Disjunct[]` | `chosen_disjuncts`
    `(package private) static int[]` | `dfs_height`
    `(package private) static int[]` | `dfs_root_word`
    `(package private) static java.lang.Integer[]` | `height_perm`
    `(package private) Link[]` | `link_array`
    `(package private) int` | `N_links`
    `(package private) int` | `N_words`
    `(package private) ParseSet` | `parse_set`
    `(package private) static ListOfLinks[]` | `word_links`
    `(package private) XTableConnector[]` | `x_table`
    `(package private) int` | `x_table_size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static CONNode` | `build_CONNode(int w)`
    `(package private) void` | `build_digraph()`
    `(package private) DISNode` | `build_DIS_CON_tree()`
    `(package private) static DISNode` | `build_DISNode(int w)`
    `(package private) static CONList` | `c_dfs(int w, DISNode start_dn, CONList c)`
    `(package private) int` | `disjunct_cost()`
    `(package private) void` | `free_x_table()`
    `(package private) void` | `height_dfs(int w, int height)`
    `(package private) void` | `initialize_links()`
    `(package private) static boolean` | `is_CON_word(int w)`
    `(package private) void` | `issue_link(Disjunct ld, Disjunct rd, Link link)`
    `(package private) void` | `issue_links_for_choice(ParseChoice pc)`
    `(package private) int` | `link_cost()`
    `(package private) void` | `list_links(ParseSet set, int index)`
    `(package private) void` | `list_random_links(ParseSet set)`
    `(package private) int` | `null_cost()`
    `(package private) ParseSet` | `parse_set(Sentence sent, Disjunct ld, Disjunct rd, int lw, int rw, Connector le, Connector re, int cost, ParseOptions opts)`
    `(package private) int` | `unused_word_cost()`
    `(package private) boolean` | `verify_set_node(ParseSet set)`
    `(package private) boolean` | `verify_set()`
    `(package private) int` | `x_hash(int lw, int rw, Connector le, Connector re, int cost)`
    `(package private) XTableConnector` | `x_table_pointer(int lw, int rw, Connector le, Connector re, int cost)`
    `(package private) XTableConnector` | `x_table_store(int lw, int rw, Connector le, Connector re, int cost, ParseSet set)`
    `(package private) void` | `x_table_update(int lw, int rw, Connector le, Connector re, int cost, ParseSet set)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x_table_size

          int x_table_size

    - #### x_table

          XTableConnector[] x_table

    - #### parse_set

          ParseSet parse_set

    - #### N_words

          int N_words

    - #### chosen_disjuncts

          Disjunct[] chosen_disjuncts

    - #### N_links

          int N_links

    - #### link_array

          Link[] link_array

    - #### word_links

          static ListOfLinks[] word_links

    - #### dfs_root_word

          static int[] dfs_root_word

    - #### dfs_height

          static int[] dfs_height

    - #### height_perm

          static java.lang.Integer[] height_perm

  - ### Constructor Detail

    - #### ParseInfo

          public ParseInfo()

  - ### Method Detail

    - #### initialize_links

          void initialize_links()

    - #### list_links

          void list_links(ParseSet set,
                        int index)

    - #### list_random_links

          void list_random_links(ParseSet set)

    - #### issue_links_for_choice

          void issue_links_for_choice(ParseChoice pc)

    - #### issue_link

          void issue_link(Disjunct ld,
                        Disjunct rd,
                        Link link)

    - #### link_cost

          int link_cost()

    - #### null_cost

          int null_cost()

    - #### unused_word_cost

          int unused_word_cost()

    - #### disjunct_cost

          int disjunct_cost()

    - #### build_digraph

          void build_digraph()

    - #### build_DIS_CON_tree

          DISNode build_DIS_CON_tree()

    - #### verify_set

          boolean verify_set()

    - #### verify_set_node

          boolean verify_set_node(ParseSet set)

    - #### parse_set

          ParseSet parse_set(Sentence sent,
                           Disjunct ld,
                           Disjunct rd,
                           int lw,
                           int rw,
                           Connector le,
                           Connector re,
                           int cost,
                           ParseOptions opts)

    - #### free_x_table

          void free_x_table()

    - #### x_table_pointer

          XTableConnector x_table_pointer(int lw,
                                        int rw,
                                        Connector le,
                                        Connector re,
                                        int cost)

    - #### x_table_store

          XTableConnector x_table_store(int lw,
                                      int rw,
                                      Connector le,
                                      Connector re,
                                      int cost,
                                      ParseSet set)

    - #### x_table_update

          void x_table_update(int lw,
                            int rw,
                            Connector le,
                            Connector re,
                            int cost,
                            ParseSet set)

    - #### x_hash

          int x_hash(int lw,
                   int rw,
                   Connector le,
                   Connector re,
                   int cost)

    - #### height_dfs

          void height_dfs(int w,
                        int height)

    - #### build_DISNode

          static DISNode build_DISNode(int w)

    - #### c_dfs

          static CONList c_dfs(int w,
                      DISNode start_dn,
                      CONList c)

    - #### is_CON_word

          static boolean is_CON_word(int w)

    - #### build_CONNode

          static CONNode build_CONNode(int w)